Update a Document Signer
Roles
Analytics Events
/v2/credentials/mobile/document-signers/{documentSignerId}Updates an existing Document Signer by providing its ID and active parameter.
Only available in implementations using unmanaged (external) IACAs.
Analytic events
- MOBILE_CREDENTIAL_DOCUMENT_SIGNER_UPDATE_START
- MOBILE_CREDENTIAL_DOCUMENT_SIGNER_UPDATE_SUCCESS
- MOBILE_CREDENTIAL_DOCUMENT_SIGNER_UPDATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Document Signer ID
uuidRequest Body
application/json
This required parameter defines the status of the created Document Signer. Only active Document Signers can be used to sign mDocs.
Document Signer Certificate (DSC) in PEM format. The certificate must be:
- Valid
- Not expired
- Compliant with the details provided in the Certificate Signing Request returned when the Document Signer was created Refer to Certificate requirements in the external certificates documentation for a full list of requirements detailed in the CSR.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.vii.au01.mattr.global/v2/credentials/mobile/document-signers/d2c9f2aa-fc69-4fbc-9b85-0c00591d72f6" \ -H "Content-Type: application/json" \ -d '{ "active": true }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6",
"active": true,
"certificatePem": "-----BEGIN CERTIFICATE-----\\r\\nMIICbzCCAhSgAwIBAgIKfS7sskyJEh+DOzAKBggqhkjOPQQDAjAiMSAwCQYDVQQG\\r\\nEwJOWjATBgNVBAMTDEV4YW1wbGUgSUFDQTAeFw0yMzA5MTEyMzM0MjJaFw0yNDA5\\r\\nMTAyMzM0MjJaMDExLzAJBgNVBAYTAk5aMCIGA1UEAxMbZXhhbXBsZS5jb20gRG9j\\r\\ndW1lbnQgU2lnbmVyMFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAE7fa+jv9zCtHQ\\r\\nmKn7o1dS6lBHD5thlhPqjlx7qEfqy8Im9AcQJDal2sr/fUxhHwf/G4ublS7AL04U\\r\\n73dzr/ozxaOCASEwggEdMAwGA1UdEwEB/wQCMAAwHQYDVR0OBBYEFLdNNPTmPxt0\\r\\nLqvlZnV/QL86MXOxMB8GA1UdIwQYMBaAFPc04SrKhcQIESQwxltWrvnsCSuqMA4G\\r\\nA1UdDwEB/wQEAwIAgDAeBgNVHREEFzAVhhNodHRwczovL2V4YW1wbGUuY29tMB4G\\r\\nA1UdEgQXMBWGE2h0dHBzOi8vZXhhbXBsZS5jb20waQYDVR0fBGIwYDBeoFygWoZY\\r\\naHR0cHM6Ly9leGFtcGxlLmNvbS92Mi9jcmVkZW50aWFscy9tb2JpbGUvaWFjYXMv\\r\\nMmU4OWMxNTYtMzFkNS00NzgzLWJkNTktOTA1NWI1ZjhlN2QyL2NybDASBgNVHSUE\\r\\nCzAJBgcogYxdBQECMAoGCCqGSM49BAMCA0kAMEYCIQCfgn6+QoNfDVelJANl+Jp9\\r\\ncq7X9paZylfnI6UGr1FM6gIhAIzhiyclDa8+/ZSRfu7KfgGrNRaJ8YQ6vevskJls\\r\\nIavC\\r\\n-----END CERTIFICATE-----\\r\\n",
"certificateFingerprint": "f6cad6e579d70b3973efa60624af731a580d1a11a7579e70f2f10f059dc86172",
"certificateData": {
"notAfter": "2034-09-26",
"notBefore": "2023-09-30",
"country": "US",
"stateOrProvinceName": "US-AL",
"commonName": "{tenant-subdomain}.vii.mattr.global Document Signer"
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve a Document Signer GET
Retrieves an existing Document Signer by providing its ID. ### **Analytic events** * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_START * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_SUCCESS * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_FAIL
Delete a Document Signer DELETE
Deletes an existing Document Signer by providing its ID. Only available in implementations using unmanaged (external) IACAs. ### **Analytic events** * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_DELETE_START * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_DELETE_SUCCESS * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_DELETE_FAIL